Xerces-C++: XMLDTDDescription Class Reference

Xerces-C++ 3.3.0

List of all members
XMLDTDDescription Class Referenceabstract

`#include <xercesc/framework/XMLDTDDescription.hpp>`

Inheritance diagram for XMLDTDDescription:

## Public Member Functions
Virtual destructor for derived classes
virtual | ~XMLDTDDescription ()
| virtual destructor
Implementation of Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const
| getGrammarType
Public Member Functions inherited from XMLGrammarDescription
virtual | ~XMLGrammarDescription ()
| virtual destructor
virtual const XMLCh * | getGrammarKey () const =0
| getGrammarKey
MemoryManager * | getMemoryManager () const
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## The DTDDescription Interface
virtual const XMLCh * | getRootName () const =0
| Getter.
virtual const XMLCh * | getSystemId () const
virtual void | setRootName (const XMLCh *const)=0
| Setter.
virtual void | setSystemId (const XMLCh *const)
| XMLDTDDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.

## Additional Inherited Members
Protected Member Functions inherited from XMLGrammarDescription
| XMLGrammarDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ ~XMLDTDDescription()

virtual XMLDTDDescription::~XMLDTDDescription | ( |  | ) |
| virtual

virtual destructor

## ◆ XMLDTDDescription()

XMLDTDDescription::XMLDTDDescription | ( | MemoryManager *const | memMgr = XMLPlatformUtils::fgMemoryManager | ) |
| protected

Hidden Constructors.

## Member Function Documentation

## ◆ getGrammarType()

virtual Grammar::GrammarType XMLDTDDescription::getGrammarType | ( |  | ) | const
| virtual

getGrammarType

Implements XMLGrammarDescription.

## ◆ getRootName()

virtual const XMLCh * XMLDTDDescription::getRootName | ( |  | ) | const
| pure virtual

Getter.

## ◆ getSystemId()

virtual const XMLCh * XMLDTDDescription::getSystemId | ( |  | ) | const
| virtual

## ◆ setRootName()

virtual void XMLDTDDescription::setRootName | ( | const XMLCh * const |  | ) |
| pure virtual

Setter.

## ◆ setSystemId()

virtual void XMLDTDDescription::setSystemId | ( | const XMLCh * const |  | ) |
| virtual

The documentation for this class was generated from the following file:

- XMLDTDDescription.hpp